Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5323 - at now and batch commands
Summary: at now and batch commands
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: at
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-23 12:41 UTC by paulh
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-28 16:35:01 UTC


Attachments (Terms of Use)

Description paulh 1999-09-23 12:41:28 UTC
The at now command does not work.

    echo "date" | at now

will never schedule execution. It seems that the job is
scheduled a few seconds *before* the current time.

As a consequence the 'batch' command does not work as it is
a script that executes at now.

Interestingly I have seen this same bug in IRIX,CLIX,AIX,
etc. The solution is to add 1 or 2 minutes depending on
the version of UNIX. This is because some at commands only
schedule to the nearest minute boundary viz

    echo "date" | at now + 2 minutes

Comment 1 Bernhard Rosenkraenzer 2000-02-16 14:07:59 UTC
Still happens in 6.2b3 - "now" apparently maps to `date  +%H:%M`, so seconds are
lost -> scheduled before current time.

Comment 2 Bill Nottingham 2000-02-16 20:42:59 UTC
Hmm.. it works OK for me here; at now casues
things to be run immediately.


Note You need to log in before you can comment on or make changes to this bug.